aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/mkimg.base.sh
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-11-11 14:41:22 -0800
committerNatanael Copa <ncopa@alpinelinux.org>2016-11-14 20:10:40 +0000
commit48bcd519aee4e80fccff91e2c7f44fc43a01c28f (patch)
tree8002cbe67862bab14473ea921a4e73e9baf148ea /scripts/mkimg.base.sh
parent86da5a104758a199099eee1446f27cdd237754e1 (diff)
downloadaports-48bcd519aee4e80fccff91e2c7f44fc43a01c28f.tar.gz
aports-48bcd519aee4e80fccff91e2c7f44fc43a01c28f.tar.bz2
aports-48bcd519aee4e80fccff91e2c7f44fc43a01c28f.tar.xz
scripts/mkimg.base.sh: search for apkovl script
search for apkovl script in current dir, in ~/.mkimg and in the dir where the mkimage script was started from.
Diffstat (limited to 'scripts/mkimg.base.sh')
-rwxr-xr-x[-rw-r--r--]scripts/mkimg.base.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/scripts/mkimg.base.sh b/scripts/mkimg.base.sh
index 354d174010..408faf3e0b 100644..100755
--- a/scripts/mkimg.base.sh
+++ b/scripts/mkimg.base.sh
@@ -52,9 +52,17 @@ section_apks() {
}
build_apkovl() {
- local _host="$1"
+ local _host="$1" _script=
msg "Generating $_host.apkovl.tar.gz"
- (local _pwd=$PWD; cd "$DESTDIR"; fakeroot "$_pwd"/"$apkovl" "$_host")
+ for _script in "$PWD"/"$apkovl" $HOME/.mkimage/$apkovl \
+ $(readlink -f "$scriptdir/$apkovl"); do
+
+ if [ -f "$_script" ]; then
+ break
+ fi
+ done
+ [ -n "$_script" ] || die "could not find $apkovl"
+ (cd "$DESTDIR"; fakeroot "$_script" "$_host")
}
section_apkovl() {